Subject: bug#42983: "sudo -E guix pull" breaks ~/.config/guix/current for regular user

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 23 Aug 2020 23:24:43 +0200

Hi Leo,

On Sat, 22 Aug 2020 12:22:41 -0400
Leo Famulari <[email-masked]> wrote:

> What is expected to happen in this case? Why would one want to use an
> unprivileged environment with privileges to do `guix pull`, which is a
> per-user operation?

Paul did not know that it is a per-user operation.

I did almost exactly the same thing when I was a new guix user.
That's pretty much what one is used to from Debian etc.

I don't really know whether it should do anything useful, but the current
situation is seriously weird.